package com.palmnest.service.wechat;

import com.palmnest.application.dto.output.wechat.MerchantDetailDto;
import com.palmnest.model.wxpay.PaySendData;

import java.util.List;
import java.util.Map;

public interface PayService {

	/**
	 * 查询商户信息
	 *
	 * @param params
	 * @return
	 */
	public List<MerchantDetailDto> findBy(Map<String, String> params);

	/**
	 * 统一下单接口
	 *
	 * @param paySendData 请求参数
	 * @return prepayId 预支付id
	 */
	String unifiedOrder(PaySendData paySendData);

	/**
	 * 申请退款接口
	 */
	String refund();
}
